org.apache.cassandra.db.rows

## Class RangeTombstoneBoundMarker

- java.lang.Object
- - org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker<ClusteringBound>
  - - org.apache.cassandra.db.rows.RangeTombstoneBoundMarker

All Implemented Interfaces:
  Clusterable, RangeTombstoneMarker, Unfiltered

    public class RangeTombstoneBoundMarker
    extends AbstractRangeTombstoneMarker<ClusteringBound>

A range tombstone marker that indicates the bound of a range tombstone (start or end).

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`RangeTombstoneMarker.Merger`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.Unfiltered

`Unfiltered.Kind`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker

`bound`

### Constructor Summary

Constructors
Constructor and Description
`RangeTombstoneBoundMarker(ClusteringBound bound, DeletionTime deletion)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClusteringBound` `closeBound(boolean reversed)`
`DeletionTime` `closeDeletionTime(boolean reversed)`
`boolean` `closeIsInclusive(boolean reversed)`
`RangeTombstoneBoundMarker` `copy(AbstractAllocator allocator)`
`DeletionTime` `deletionTime()` The deletion time for the range tombstone this is a bound of.
`void` `digest(java.security.MessageDigest digest)` Digest the atom using the provided `MessageDigest`.
`void` `digest(java.security.MessageDigest digest, java.util.Set<java.nio.ByteBuffer> columnsToExclude)` Digest the atom using the provided `MessageDigest`.
`boolean` `equals(java.lang.Object other)`
`static RangeTombstoneBoundMarker` `exclusiveClose(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime deletion)`
`static RangeTombstoneBoundMarker` `exclusiveOpen(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime deletion)`
`int` `hashCode()`
`static RangeTombstoneBoundMarker` `inclusiveClose(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime deletion)`
`static RangeTombstoneBoundMarker` `inclusiveOpen(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime deletion)`
`boolean` `isBoundary()`
`ClusteringBound` `openBound(boolean reversed)`
`DeletionTime` `openDeletionTime(boolean reversed)`
`boolean` `openIsInclusive(boolean reversed)`
`java.lang.String` `toString(CFMetaData metadata)`
`RangeTombstoneBoundMarker` `withNewOpeningDeletionTime(boolean reversed, DeletionTime newDeletionTime)`

### Methods inherited from class org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker

`clustering, isClose, isOpen, kind, toString, toString, validateData`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`isEmpty`

### Methods inherited from interface org.apache.cassandra.db.rows.Unfiltered

`isRangeTombstoneMarker, isRow`

### Constructor Detail

#### RangeTombstoneBoundMarker

    public RangeTombstoneBoundMarker(ClusteringBound bound,
                                     DeletionTime deletion)

### Method Detail

#### inclusiveOpen

    public static RangeTombstoneBoundMarker inclusiveOpen(boolean reversed,
                                                          java.nio.ByteBuffer[] boundValues,
                                                          DeletionTime deletion)

#### exclusiveOpen

    public static RangeTombstoneBoundMarker exclusiveOpen(boolean reversed,
                                                          java.nio.ByteBuffer[] boundValues,
                                                          DeletionTime deletion)

#### inclusiveClose

    public static RangeTombstoneBoundMarker inclusiveClose(boolean reversed,
                                                           java.nio.ByteBuffer[] boundValues,
                                                           DeletionTime deletion)

#### exclusiveClose

    public static RangeTombstoneBoundMarker exclusiveClose(boolean reversed,
                                                           java.nio.ByteBuffer[] boundValues,
                                                           DeletionTime deletion)

#### isBoundary

    public boolean isBoundary()

Specified by:
  `isBoundary` in interface `RangeTombstoneMarker`
Overrides:
  `isBoundary` in class `AbstractRangeTombstoneMarker<ClusteringBound>`

#### deletionTime

    public DeletionTime deletionTime()

The deletion time for the range tombstone this is a bound of.

#### openDeletionTime

    public DeletionTime openDeletionTime(boolean reversed)

#### closeDeletionTime

    public DeletionTime closeDeletionTime(boolean reversed)

#### openIsInclusive

    public boolean openIsInclusive(boolean reversed)

#### closeIsInclusive

    public boolean closeIsInclusive(boolean reversed)

#### openBound

    public ClusteringBound openBound(boolean reversed)

#### closeBound

    public ClusteringBound closeBound(boolean reversed)

#### copy

    public RangeTombstoneBoundMarker copy(AbstractAllocator allocator)

#### withNewOpeningDeletionTime

    public RangeTombstoneBoundMarker withNewOpeningDeletionTime(boolean reversed,
                                                                DeletionTime newDeletionTime)

#### digest

    public void digest(java.security.MessageDigest digest)

Description copied from interface: `Unfiltered`
Digest the atom using the provided `MessageDigest`.

Parameters:
  `digest` - the `MessageDigest` to use.

#### digest

    public void digest(java.security.MessageDigest digest,
                       java.util.Set<java.nio.ByteBuffer> columnsToExclude)

Description copied from interface: `Unfiltered`
Digest the atom using the provided `MessageDigest`. This method only exists in 3.11. Same like `Unfiltered.digest(MessageDigest)`, but excludes the given columns from digest calculation.

#### toString

    public java.lang.String toString(CFMetaData metadata)

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`